saving uncommitted changes in /etc prior to emerge run

This commit is contained in:
hasufell 2015-07-09 01:48:43 +02:00 committed by root
parent f1490cdc71
commit f2bc49e237
2 changed files with 301 additions and 0 deletions

View File

@ -0,0 +1,103 @@
[Desktop Entry]
Type=Application
Name=Screensaver
Name[ar]=حافظة الشاشة
Name[ast]=Curiapantalles
Name[be]=Скрынсейвер
Name[bg]=Предпазител на екрана
Name[ca]=Salvapantalles
Name[cs]=Spořič obrazovky
Name[da]=Skærmskåner
Name[de]=Bildschirmschoner
Name[el]=Προφύλαξη οθόνης
Name[en_AU]=Screensaver
Name[en_GB]=Screensaver
Name[es]=Protector de pantalla
Name[eu]=Pantaila-babeslea
Name[fi]=Näytönsäästäjä
Name[fr]=Économiseur d'écran
Name[gl]=Protector de pantalla
Name[he]=שומר מסך
Name[hr]=Čuvar zaslona
Name[hu]=Képernyővédő
Name[id]=Penyimpan Layar
Name[is]=Skjáhvíla
Name[it]=Salvaschermo
Name[ja]=
Name[kk]=Экран қорғауышы
Name[ko]=
Name[lt]=Ekrano užsklanda
Name[ms]=Penyelamat skrin
Name[nb]=Skjermsparer
Name[nl]=Schermbeveiliging
Name[nn]=Skjermsparar
Name[oc]=Estalviador d'ecran
Name[pl]=Wygaszacz ekranu
Name[pt]=Proteção de ecrã
Name[pt_BR]=Protetor de tela
Name[ro]=Protector de ecran
Name[ru]=Заставка
Name[sk]=Šetrič obrazovky
Name[sl]=Ohranjevalnik zaslona
Name[sr]=Чувар екрана
Name[sv]=Skärmsläckare
Name[th]=
Name[tr]=Ekran Koruyucu
Name[ug]=ئېكران قوغدىغۇچ
Name[uk]=Зберігач екрану
Name[vi]=Trình bo v màn hình
Name[zh_CN]=
Name[zh_HK]=
Name[zh_TW]=
Comment=Launch screensaver and locker program
Comment[ar]=شغّل حافظة الشاشة وبرنامج التخزين
Comment[ast]=Llanzar curiapantalles y programa de bloquéu
Comment[bg]=Стартиране на предпазителя на екрана и заключването
Comment[ca]=Llança el salvapantalles i el programa de blocatge
Comment[cs]=Spustí spořič obrazovky a aplikaci pro uzamykání obrazovky
Comment[da]=Start programmet skærm-skåner og -lås
Comment[de]=Bildschirmschoner und -sperre aufrufen
Comment[el]=Εκκίνηση προφύλαξης οθόνης και προγράμματος κλειδώματος
Comment[en_AU]=Launch screensaver and locker program
Comment[en_GB]=Launch screensaver and locker program
Comment[es]=Ejecutar protector de pantalla y el programa de bloqueo
Comment[eu]=Abiarazi pantaila-babeslea eta blokeo programa
Comment[fi]=Käynnistä näytönsäästäjä ja lukitusohjelma
Comment[fr]=Lancer l'économiseur d'écran et le verrouilleur
Comment[he]=שגר תוכנית שומר מסך ונעילה
Comment[hr]=Pokreni čuvara zaslona i zaključavanje
Comment[hu]=Képernyővédő és -zároló program indítása
Comment[id]=Jalankan program penyimpan layar dan pengunci
Comment[is]=Keyra skjáhvílu og læsingaforrit
Comment[it]=Avvio il salvaschermo e il programma di blocco
Comment[ja]=
Comment[kk]=Экран қорғауыш және блоктау бағдарламасын жөнелту
Comment[ko]=
Comment[lt]=Paleisti ekrano užsklandą ir užrakinimo programą
Comment[ms]=Lancar penyelamat skrin dan program pengunci
Comment[nb]=Kjør skjermsparer og skjermlås
Comment[nl]=Programma voor schermbeveiliging en -vergrendeling starten
Comment[nn]=Start skjermsparar- og skjermlåsprogrammet
Comment[oc]=Varrolhar e aviar l'estalviador d'ecran
Comment[pl]=Uruchamianie wygaszacza ekranu i programu blokującego ekran
Comment[pt]=Lançar proteção de ecrã e programa de bloqueio
Comment[pt_BR]=Lança protetor de tela e programa de bloqueio de tela
Comment[ro]=Porniți programul de protecție a ecranului
Comment[ru]=Запуск заставки и блокировка рабочего стола
Comment[sk]=Spustiť šetriť obrazovky a aplikáciu pre zamykanie obrazovky
Comment[sl]=Zaženi ohranjevalnik zaslona in program za zaklepanje zaslona
Comment[sr]=Покрените чувар екрана и програм за закључавање
Comment[sv]=Starta skärmsläckare och låsprogram
Comment[th]=
Comment[tr]=Ekran koruyucuyu çalıştır ve programı kilitle
Comment[ug]=ئېكران قوغدىغۇچ ۋە قۇلۇپلىغۇچ پروگراممىسىنى قوزغات
Comment[uk]=Запустити програми зберігача і замикання екрану
Comment[vi]=Chy trình bo v màn hình và chương trình khóa
Comment[zh_CN]=
Comment[zh_HK]=
Comment[zh_TW]=
Icon=preferences-desktop-screensaver
Exec=xscreensaver -no-splash
TryExec=xscreensaver
OnlyShowIn=XFCE;

198
xdg/xfce4/._cfg0000_xinitrc Normal file
View File

@ -0,0 +1,198 @@
#!/bin/sh
# fix broken $UID on some system...
if test "x$UID" = "x"; then
if test -x /usr/xpg4/bin/id; then
UID=`/usr/xpg4/bin/id -u`;
else
UID=`id -u`;
fi
fi
# set $XDG_MENU_PREFIX to "xfce-" so that "xfce-applications.menu" is picked
# over "applications.menu" in all Xfce applications.
if test "x$XDG_MENU_PREFIX" = "x"; then
XDG_MENU_PREFIX="xfce-"
export XDG_MENU_PREFIX
fi
# set DESKTOP_SESSION so that one can detect easily if an Xfce session is running
if test "x$DESKTOP_SESSION" = "x"; then
DESKTOP_SESSION="xfce"
export DESKTOP_SESSION
fi
# set XDG_CURRENT_DESKTOP so that Qt 5 applications can identify user set Xfce theme
if test "x$XDG_CURRENT_DESKTOP" = "x"; then
XDG_CURRENT_DESKTOP="XFCE"
export XDG_CURRENT_DESKTOP
fi
# $XDG_CONFIG_HOME defines the base directory relative to which user specific
# configuration files should be stored. If $XDG_CONFIG_HOME is either not set
# or empty, a default equal to $HOME/.config should be used.
if test "x$XDG_CONFIG_HOME" = "x" ; then
XDG_CONFIG_HOME=$HOME/.config
fi
[ -d "$XDG_CONFIG_HOME" ] || mkdir "$XDG_CONFIG_HOME"
# $XDG_CACHE_HOME defines the base directory relative to which user specific
# non-essential data files should be stored. If $XDG_CACHE_HOME is either not
# set or empty, a default equal to $HOME/.cache should be used.
if test "x$XDG_CACHE_HOME" = "x" ; then
XDG_CACHE_HOME=$HOME/.cache
fi
[ -d "$XDG_CACHE_HOME" ] || mkdir "$XDG_CACHE_HOME"
# set up XDG user directores. see
# http://freedesktop.org/wiki/Software/xdg-user-dirs
if which xdg-user-dirs-update >/dev/null 2>&1; then
xdg-user-dirs-update
fi
# Modify libglade and glade environment variables so that
# it will find the files installed by Xfce
GLADE_CATALOG_PATH="$GLADE_CATALOG_PATH:"
GLADE_PIXMAP_PATH="$GLADE_PIXMAP_PATH:"
GLADE_MODULE_PATH="$GLADE_MODULE_PATH:"
export GLADE_CATALOG_PATH
export GLADE_PIXMAP_PATH
export GLADE_MODULE_PATH
# For now, start with an empty list
XRESOURCES=""
# Has to go prior to merging Xft.xrdb, as its the "Defaults" file
test -r "/etc/xdg/xfce4/Xft.xrdb" && XRESOURCES="$XRESOURCES /etc/xdg/xfce4/Xft.xrdb"
test -r $HOME/.Xdefaults && XRESOURCES="$XRESOURCES $HOME/.Xdefaults"
BASEDIR=$XDG_CONFIG_HOME/xfce4
if test -r "$BASEDIR/Xft.xrdb"; then
XRESOURCES="$XRESOURCES $BASEDIR/Xft.xrdb"
elif test -r "$XFCE4HOME/Xft.xrdb"; then
mkdir -p "$BASEDIR"
cp "$XFCE4HOME/Xft.xrdb" "$BASEDIR"/
XRESOURCES="$XRESOURCES $BASEDIR/Xft.xrdb"
fi
# merge in X cursor settings
test -r "$BASEDIR/Xcursor.xrdb" && XRESOURCES="$XRESOURCES $BASEDIR/Xcursor.xrdb"
# ~/.Xresources contains overrides to the above
test -r "$HOME/.Xresources" && XRESOURCES="$XRESOURCES $HOME/.Xresources"
# load all X resources (adds /dev/null to avoid an empty list that would hang the process)
cat /dev/null $XRESOURCES | xrdb -nocpp -merge -
# load local modmap
test -r $HOME/.Xmodmap && xmodmap $HOME/.Xmodmap
# run xfce4-session if installed
if which xfce4-session >/dev/null 2>&1; then
# check if we start xfce4-session with ck-launch-session. this is only
# required for starting from a console, not a login manager
if test "x$XFCE4_SESSION_WITH_CK" = "x1"; then
if which ck-launch-session >/dev/null 2>&1; then
ck-launch-session xfce4-session
else
echo
echo "You have tried to start Xfce with consolekit support, but"
echo "ck-launch-session is not installed."
echo "Aborted startup..."
echo
exit 1
fi
else
# start xfce4-session normally
xfce4-session
fi
exit 0
fi
##################
# IMPORTANT NOTE #
##################
# Everything below here ONLY gets executed if you are NOT using xfce4-session
# (Xfce's session manager). If you are using the session manager, everything
# below is handled by it, and the code below is not executed at all. If you're
# not sure if you're using the session manager, type 'ps -e|grep xfce4-session'
# in a terminal while Xfce is running.
##################
# Use dbus-launch if installed.
if test x"$DBUS_SESSION_BUS_ADDRESS" = x""; then
if which dbus-launch >/dev/null 2>&1; then
eval `dbus-launch --sh-syntax --exit-with-session`
# some older versions of dbus don't export the var properly
export DBUS_SESSION_BUS_ADDRESS
else
echo "Could not find dbus-launch; Xfce will not work properly" >&2
fi
fi
# this is only necessary when running w/o xfce4-session
xsetroot -solid black -cursor_name watch
# or use old-fashioned startup script otherwise
xfsettingsd &
xfwm4 --daemon
# start up stuff in $XDG_CONFIG_HOME/autostart/
if test -d "$XDG_CONFIG_HOME/autostart"; then
for i in ${XDG_CONFIG_HOME}/autostart/*.desktop; do
grep -q -E "^Hidden=true" "$i" && continue
if grep -q -E "^OnlyShowIn=" "$i"; then
# need to test twice, as lack of the line entirely means we still run it
grep -E "^OnlyShowIn=" "$i" | grep -q 'XFCE;' || continue
fi
grep -E "^NotShowIn=" "$i" | grep -q 'XFCE;' && continue
# check for TryExec
trycmd=`grep -E "^TryExec=" "$i" | cut -d'=' -f2`
if test "$trycmd"; then
which "$trycmd" >/dev/null 2>&1 || continue
fi
cmd=`grep -E "^Exec=" "$i" | cut -d'=' -f2`
if test "$cmd" && which "$cmd" >/dev/null 2>&1; then
$cmd &
fi
done
fi
xfdesktop&
orage &
panel=`which xfce4-panel`
case "x$panel" in
x|xno*)
;;
*)
$panel
ret=$?
while test $ret -ne 0; do
xmessage -center -file - -timeout 20 -title Error <<EOF
A crash occured in the panel
Please report this to the xfce4-dev@xfce.org list
or on http://bugs.xfce.org
Meanwhile the panel will be restarted
EOF
cat >&2 <<EOF
A crash occured in the panel
Please report this to the xfce4-dev@xfce.org list
or on http://bugs.xfce.org
Meanwhile the panel will be restarted
EOF
$panel
ret=$?
done
;;
esac
xsetroot -bg white -fg red -solid black -cursor_name watch